package com.ximai.mes.report.service;

import com.ximai.mes.report.request.DailyProductionReportRequest;

import java.util.List;
import java.util.Map;

public interface DailyProductionReportService {
    List getListByProcess(DailyProductionReportRequest dailyProductionReportRequest);

    List getDatas(DailyProductionReportRequest dailyProductionReportRequest);

    List getListByWorkshop(DailyProductionReportRequest dailyProductionReportRequest);

    List getListByWorkstation(DailyProductionReportRequest dailyProductionReportRequest);

    List getListByWorkunit(DailyProductionReportRequest dailyProductionReportRequest);

    List getListByUser(DailyProductionReportRequest dailyProductionReportRequest);
}
